| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bmark.cpp File Reference

Program to generate symmetry axes for mark group symmetries. More...

`#include "rwmg.h"`
`#include "mg_processing.h"`
`#include "mg_tomography.h"`
`#include "mg_marker.h"`
`#include "marker.h"`
`#include "file_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to generate symmetry axes for mark group symmetries.

Author
  Bernard Heymann

Date
  Created: 20020619
  Modified: 20150212

Definition in file bmark.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 50 of file bmark.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bmark [options] in.star [in2.star...]",
"--------------------------------------------",
"Operates on sets of micrograph markers.",
" ",
"Actions:",
"-reconstructions Operate on reconstruction parameters rather than micrographs.",
"-list List all micrograph and reconstruction markers.",
"-rotate 0.3,0.1,-0.5,81 Rotate around an axis by an angle.",
"-scale 0.5,3,1 Scale.",
"-translate 12.2,0.5,-50 Shift after rotation and scaling.",
"-plane Calculate a plane through the markers.",
"-fom 0.55 Select markers with a figure-of-merit above this cutoff.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-origin 0,22.5,30 Set the origin for rotation.",
" ",
"Output:",
"-output out.star Output micrograph parameter file.",
" ",
NULL
}

Definition at line 24 of file bmark.cpp.

## ◆ verbose

int verbose